import java.awt.Color;
import java.awt.Container;
import java.awt.Graphics;
import java.awt.Insets;

public class Class373 {

   public int anInt4656;
   public static Class373 aClass373_4657 = new Class373(2);
   public static Class373 aClass373_4658 = new Class373(1);
   public static Class373 aClass373_4659 = new Class373(2);
   public static Class373 aClass373_4660 = new Class373(1);
   public static Class373 aClass373_4661 = new Class373(1);
   public static Class373 aClass373_4662 = new Class373(1);
   public static Class373 aClass373_4663 = new Class373(2);
   public static Class373 aClass373_4664 = new Class373(1);
   public static Class373 aClass373_4665 = new Class373(2);
   public static Class373 aClass373_4666 = new Class373(2);


   Class373(int var1) {
      this.anInt4656 = 1467820029 * var1;
   }

   static void method6543(RS2Buffer var0, int var1) {
      int var2 = var0.readSmart(-111636729);
      Class530.aClass539Array7214 = new Class539[var2];

      int var3;
      for(var3 = 0; var3 < var2; ++var3) {
         if(var1 >= -1705730473) {
            ;
         }

         Class530.aClass539Array7214[var3] = new Class539();
         Class530.aClass539Array7214[var3].anInt7304 = var0.readSmart(1088596018) * -1323989431;
         Class530.aClass539Array7214[var3].aString7305 = var0.method13927((short)-2785);
      }

      Class396.anInt4884 = var0.readSmart(11439034) * -2010312443;
      Class530.anInt7211 = var0.readSmart(-30509149) * -542247811;
      Class462.anInt5734 = var0.readSmart(992181935) * 976546705;
      Class530.aClass536_Sub1Array7213 = new Class536_Sub1[Class530.anInt7211 * 889857237 - Class396.anInt4884 * -168946739 + 1];

      for(var3 = 0; var3 < Class462.anInt5734 * -697354895; ++var3) {
         if(var1 >= -1705730473) {
            ;
         }

         int var4 = var0.readSmart(1775194674);
         Class536_Sub1 var5 = Class530.aClass536_Sub1Array7213[var4] = new Class536_Sub1();
         var5.anInt7288 = var0.readUnsignedByte(-700559597) * 244313011;
         var5.anInt7284 = var0.readInt_(68014375) * 476020277;
         var5.anInt8623 = (-168946739 * Class396.anInt4884 + var4) * -600786035;
         var5.aString8624 = var0.method13927((short)-10260);
         var5.aString8626 = var0.method13927((short)-963);
      }

      Class204.anInt2416 = var0.readInt_(1016436899) * 1967922739;
      Class530.aBool7212 = true;
   }

   public static void method6544(int var0) {
      if(null == Class254.aFrame3020) {
         int var1 = 1402293235 * client.anInt3325;
         int var2 = client.anInt3317 * -1285172503;
         int var3 = 2059685689 * client.anInt3305 - Class563.anInt7495 * 759890095 - var1;
         int var4 = -854085195 * Class463_Sub14.anInt8016 - 1404657485 * Class440.anInt5458 - var2;
         if(var1 > 0 || var3 > 0 || var2 > 0 || var4 > 0) {
            try {
               Container var5 = Class274.method4851(2101501946);
               int var6 = 0;
               int var7 = 0;
               if(Class268.aFrame3105 == var5) {
                  Insets var8 = Class268.aFrame3105.getInsets();
                  var6 = var8.left;
                  var7 = var8.top;
               }

               Graphics var10 = var5.getGraphics();
               var10.setColor(Color.black);
               if(var1 > 0) {
                  var10.fillRect(var6, var7, var1, Class463_Sub14.anInt8016 * -854085195);
               }

               if(var2 > 0) {
                  var10.fillRect(var6, var7, client.anInt3305 * 2059685689, var2);
               }

               if(var3 > 0) {
                  var10.fillRect(client.anInt3305 * 2059685689 + var6 - var3, var7, var3, -854085195 * Class463_Sub14.anInt8016);
               }

               if(var4 > 0) {
                  var10.fillRect(var6, var7 + Class463_Sub14.anInt8016 * -854085195 - var4, 2059685689 * client.anInt3305, var4);
               }
            } catch (Exception var9) {
               ;
            }
         }

      }
   }

   static final void method6545(Class508 var0, byte var1) {
      Class505 var10000;
      if(var0.aBool6014) {
         if(var1 <= 8) {
            ;
         }

         var10000 = var0.aClass505_6011;
      } else {
         var10000 = var0.aClass505_6010;
      }

      Class505 var2 = var10000;
      Class124 var3 = var2.aClass124_5977;
      Class121 var4 = var2.aClass121_5978;
      Class536.method11306(var3, var4, var0, 2047417747);
   }

   static final void method6546(Class508 var0, int var1) {
      Class505 var2 = var0.aBool6014?var0.aClass505_6011:var0.aClass505_6010;
      Class124 var3 = var2.aClass124_5977;
      var0.anIntArray6027[(var0.anInt6003 += 98312473) * -937710807 - 1] = 801863387 * var3.anInt1405;
   }
}
